Subject: [ippm] Solicit feedback about network capacity draft, thanks in advance!

From: Xiangsong Cui <[email-masked]>
Date: Mon, 18 Oct 2010 11:26:23 +0800

Hi,

As you know, we had a long discussion on RFC5136, but we didn't get enough input for next step, http://www.ietf.org/mail-archive/web/ippm/current/msg02445.html,
so I submit this draft, the draft may be accessed by http://tools.ietf.org/id/draft-cui-ippm-rfc5136bis-00.txt.

Firstly, I would like to acknowledge Phil, Joseph and everyone who had made contribution to RFC5136, which is the basis of the new draft.

And the main modifications in this draft consist of following points:
1, Clarification on definition of node, link, path, etc.
2, Clarification on IP-layer link capacity, path capacity, etc.
3, Router capacity and usage.

Another point is that the informative reference

   [PDM]      Dovrolis, C., Ramanathan, P., and D. Moore, "Packet
              Dispersion Techniques and a Capacity Estimation
              Methodology", IEEE/ACM Transactions on Networking 12(6):
              963-977, December 2004.

is removed in the draft, because this paper assumes a path definition which violates the path definition in RFC2330, while RFC2330 is a normative reference.

This paper reads "Consider a network path as a sequence of firstcome first-served (FCFS) store-and-forward links that transfer packets from the sender to the receiver ." While in RFC2330, path is not the concatenation of links, but the sequence of node and link. 

Additionally, this paper clearly states: 
"Network operators commonly use tools such as MRTG [16]
to monitor the utilization of their links with information obtained
from the router management software. These techniques
are based on counters maintained by routers, and they are normally
*accurate*. Their drawback, however, is that they can only
be performed with router access, and such access is usually limited
to the corresponding network administrators. Instead, in
this paper, we focus on an /end-to-end bandwidth monitoring/
approach that requires cooperation of only the *path end-points*.
Even though end-to-end approaches are typically not as accurate
as router-based measurements, they often are the only feasible
approach for monitoring a path that crosses several networks."

We are discussing metrics but not monitoring approach here, and I personally think when we are defining metrics we should prefer accuracy to feasibility, even though some metrics are theoretical number.

Well, now I would like to know your thought on this item, your feedback is highly appreciated!

Best regards,
Xiangsong

-----Original Message-----
From: IETF I-D Submission Tool [mailto:[email-masked]] 
Sent: Saturday, October 16, 2010 9:32 PM
To: [email-masked]
Subject: New Version Notification for draft-cui-ippm-rfc5136bis-00

A new version of I-D, draft-cui-ippm-rfc5136bis-00.txt has been successfully submitted by Xiangsong Cui and posted to the IETF repository.

Filename:	 draft-cui-ippm-rfc5136bis
Revision:	 00
Title:		 Defining Network Capacity
Creation_date:	 2010-10-16
WG ID:		 Independent Submission
Number_of_pages: 28

Abstract:
This document defines the metric of network capacity, including link
capacity aspect, router capacity aspect and path capacity aspect.
RFC5136 has defined link capacity and path capacity, where the router
impact is implicitly considered in link capacity.  However, in this
document, router capacity is considerred as a separate factor of path
capacity, no longer a factor of link capacity.  This document
explicitly describes the router capacity and its impact to network
capacity, e.g. how to evaluate path capacity.

This document is derived from RFC5136 and obsoletes RFC5136.

The IETF Secretariat.